!

API recipes

Practical examples for using the Houski API.

Examples

Find properties by assessment value range

Programming language

Select the programming language you want to display the code examples in.

Get properties assessed between a range of values
Pull Calgary houses assessed between $500,000 and $600,000 for 2023. filter_expand_match=all returns only properties with assessment data, selecting latitude, longitude, community, and interior size, 3 per page.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&expand=assessments&expand_assessment_value_gte=500000&expand_assessment_value_lte=600000&filter_expand_match=all&page=1&property_type_eq=House&province_abbreviation=ab&results_per_page=3&select=city,province,community,interior_sq_m"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('expand', 'assessments');
    url.searchParams.set('expand_assessment_value_gte', '500000');
    url.searchParams.set('expand_assessment_value_lte', '600000');
    url.searchParams.set('filter_expand_match', 'all');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'House');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '3');
    url.searchParams.set('select', 'city,province,community,interior_sq_m');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": true,
  "cost_cents": 0.48000001907348633,
  "data": [
    {
      "address": "52 Cedargrove Way SW",
      "assessments": [
        {
          "expand_assessment_value": 516500,
          "expand_assessment_year": 2014,
          "property_id": "1000c277cd905d3b"
        }
      ],
      "city": "Calgary",
      "community": "Cedarbrae",
      "interior_sq_m": 136.4734344482422,
      "property_id": "1000c277cd905d3b",
      "province": "Alberta"
    },
    {
      "address": "6619 34 Street SW",
      "assessments": [
        {
          "expand_assessment_value": 531000,
          "expand_assessment_year": 2014,
          "property_id": "10014f3c7e5bfad9"
        }
      ],
      "city": "Calgary",
      "community": "Lakeview",
      "interior_sq_m": 139.35450744628906,
      "property_id": "10014f3c7e5bfad9",
      "province": "Alberta"
    },
    {
      "address": "196 Covemeadow Road NE",
      "assessments": [
        {
          "expand_assessment_value": 582500,
          "expand_assessment_year": 2026,
          "property_id": "1001a75df7bd5267"
        }
      ],
      "city": "Calgary",
      "community": "Coventry Hills",
      "interior_sq_m": 115.7562255859375,
      "property_id": "1001a75df7bd5267",
      "province": "Alberta"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 32274
  },
  "price_quote": false,
  "result_total": 96820,
  "time_ms": 1366,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}